Risk Severities API
Risk Severities API
Заголовок раздела «Risk Severities API»List risk severities
Заголовок раздела «List risk severities»List all risk severities for an account:
GET /risk_severitiesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 2, "sourceID": null, "reference": "low", "name": "Low", "description": "Risk is Limited", "position": 1, "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of risk severities.
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of risk severities:
id
sourceID
reference
name
description
position
created_at
updated_at
Obtain a different set of fields using the ?fields=parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
disabled
reference
name
created_at
updated_at
disabled
The filters on
source
,
sourceID
,
reference
and
name
are not case sensitive.
Sorting
Заголовок раздела «Sorting»By default a collection of risk severities is sorted
ascending
by
id
.
The following fields are accepted by the ?sort=parameter :
id
sourceID
reference
name
position
created_at
updated_at
Get a single risk severity
Заголовок раздела «Get a single risk severity»GET /risk_severities/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "attachments": [], "created_at": "2016-12-23T05:09:03-06:00", "description": "Risk is Limited", "disabled": false, "id": 2, "information": "A risk is considered to be low when: ...", "name": "Low", "position": 1, "reference": "low", "source": null, "sourceID": null, "updated_at": "2016-12-23T05:09:03-06:00"}The response contains these fields .
Create a risk severity
Заголовок раздела «Create a risk severity»POST /risk_severitiesWhen creating a new risk severity these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "id": "...", "...": "..."}The response contains all fields of the created risk severity and is similar to the response in Get a single risk severity .
Update a risk severity
Заголовок раздела «Update a risk severity»PATCH /risk_severities/:idWhen updating a risk severity these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": "...", "...": "..."}The response contains all fields of the updated risk severity and is similar to the response in Get a single risk severity .
attachments
Readonly aggregated Attachments
created_at
Readonly datetime — The date and time at which the risk severity was created.
description
Optional string (max 255) — The Description field is used to enter a very short description of the risk severity, for example “Risk is Significant”.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the risk severity may not be related to any more risks.
id
Readonly integer — The unique ID of the risk severity.
information
Optional text (max 64KB) — The Information field is used to add any additional information about the risk severity that might prove useful, especially for risk managers when they need to decide which severity to select for a risk.
information_attachments
Writeonly attachments The attachments used in the Information field.
name
Required string (max 128) — The Name field is used to enter the name of the risk severity. Ideally the name of a risk severity consists of a single word, such as “High”.
position
Optional integer — The Position field dictates the position that the risk severity takes when it is displayed in a sorted list.
reference
Readonly string (max 128) — The Reference field is automatically set to the Name field value, written in lower case characters and with all spaces replaced by the underscore character. This reference can be used to link the risk severity to a risk using the R-Service REST API or the R-Service Import functionality.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the risk severity. If the risk severity has no updates it contains the
created_at
value.